#ifndef __CWINDOW_HPP_
#define __CWINDOW_HPP_

#include <phcpp/container.hpp>
#include <phcpp/defs.hpp>
#include <photon/PtWindow.h>

class CWindow : public CContainer
{
	public:
		CWindow() {  pwgt = NULL; pulClassRef = NULL;};
		CWindow(const PtWidget_t * pobjParent, UINT uiNumArgs, PtArg_t * pArgs);

		inline BOOL Focus()
		{  return(PtWindowFocus(pwgt));
		}

		inline long GetState()
		{  return(PtWindowGetState(pwgt));
		}

		inline ToBack()
		{  PtWindowToBack(pwgt);
		}

		inline ToFront()
		{  PtWindowToFront(pwgt);
		}
};
#endif
