#include <phcpp/dialog.hpp>
#include "ad.hpp"

int CAboutDialogCallback :: OnCallback(PtWidget_t * pwgt, void * pvData, PtCallbackInfo_t * ptsInfo)
{  PhArea_t tsAboutDlgArea;
   PhRect_t tsScreenRect;
   CDialog * pdlg = (CDialog *)pvData;

   PhWindowQueryVisible(0, 0, Ph_QUERY_GRAPHICS, &tsScreenRect);

   tsAboutDlgArea.size.w = 400;
   tsAboutDlgArea.size.h = 400;
   tsAboutDlgArea.pos.x = tsScreenRect.ul.x + 300;
   tsAboutDlgArea.pos.y = tsScreenRect.ul.y + 200;

   pdlg->SetResource(Pt_ARG_AREA, (long)&tsAboutDlgArea, 0L);
   pdlg->SetResource(Pt_ARG_WINDOW_RENDER_FLAGS, Pt_SET, Ph_WM_RENDER_MENU | Ph_WM_RENDER_TITLE | Ph_WM_RENDER_RESIZE);
   pdlg->DoModal(); 

   return(Pt_CONTINUE);
}
