#include "bc.hpp"
#include "../makedlg.hpp"

#define BUILD_FILE 0

int CBuildCppCallback :: OnCallback(PtWidget_t * pwgt, void * pvData, PtCallbackInfo_t * ptsInfo)
{  CMakeDlg * pdlg = (CMakeDlg *)pvData;
   PhArea_t tsMakeDlgArea;
   PhRect_t tsScreenRect;

   PhWindowQueryVisible(0, 0, Ph_QUERY_GRAPHICS, &tsScreenRect);

   tsMakeDlgArea.pos.x = tsScreenRect.ul.x + 150;
   tsMakeDlgArea.pos.y = tsScreenRect.ul.y + 100;
   tsMakeDlgArea.size.w = 800;
   tsMakeDlgArea.size.h = 600; 

   pdlg->SetResource(Pt_ARG_AREA, (long)&tsMakeDlgArea, 0L);
   pdlg->SetResource(Pt_ARG_WINDOW_RENDER_FLAGS, Pt_SET, Ph_WM_RENDER_MENU | Ph_WM_RENDER_TITLE | Ph_WM_RENDER_RESIZE);
   pdlg->DoModal(BUILD_FILE); 

   return(Pt_CONTINUE);
}
