#include <phcpp/PhTrace.h>
#include <phcpp/tty.hpp>

#include "os.hpp"

int COnScrollCB :: OnCallback(PtWidget_t * widget, void * pvData, PtCallbackInfo_t * ptsCbinfo)
{  long * pl = NULL; 
   char caBuff[10];
   PtScrollbarCallback_t * ptsData = (PtScrollbarCallback_t *) (ptsCbinfo->cbdata);
   CTty * pobjTty = (CTty *)pvData;

   switch(ptsData->action)
   {  case Pt_SCROLL_DECREMENT:  if(iPos > 0)
        			 {  iPos--;
				    pobjTty->SetResource(Pt_ARG_TERM_SCRLBK_POS, iPos, 0L);
				    pobjTty->ReRealize();
           			    pobjParent->SetResource(Pt_ARG_SCROLL_POSITION, iPos, 0L);
				    pobjParent->ReRealize();
        			 }
				 break;

      case Pt_SCROLL_INCREMENT:  pl = pobjTty->GetResource(Pt_ARG_TERM_SCRLBK_COUNT);
				 ltoa(*pl, caBuff, 10);
				 strcat(caBuff, "\n");
				 PhTrace(caBuff);

        		     	 if(iPos < *pl)
        			 {  iPos++;
           			    pobjTty->SetResource(Pt_ARG_TERM_SCRLBK_POS, iPos, 0L);
				    pobjTty->ReRealize();
           			    pobjParent->SetResource(Pt_ARG_SCROLL_POSITION, iPos, 0L);
				    pobjParent->ReRealize();
        			 }
				 break;

      case Pt_SCROLL_PAGE_INCREMENT:
      case Pt_SCROLL_PAGE_DECREMENT:
      case Pt_SCROLL_TO_MAX:
      case Pt_SCROLL_TO_MIN:  break;
   }

   return(Pt_CONTINUE);
}
