#ifndef __CMTEXT_HPP_
#define __CMTEXT_HPP_

#include <phcpp/text.hpp>
#include <phcpp/defs.hpp>
#include <photon/PtMultiText.h>

class CMultiText : public CText
{  	public:
		CMultiText() {  pwgt = NULL; pulClassRef = NULL;};
		CMultiText(const PtWidget_t * pobjParent, UINT uiNumArgs, PtArg_t * pArgs);

		inline PtMultiTextAttributes_t * CreateAttributes(PtMultiTextAttributes_t * ptsAttrs)
		{  return(PtMultiTextCreateAttributes(ptsAttrs));
		}

		inline PtMultiTextAttributes_t * GetAttributes(int iCharOffset, PtMultiTextAttributes_t * ptsAttributes, int * piStart, int * piEnd)
		{  return(PtMultiTextGetAttributes(pwgt, iCharOffset, ptsAttributes, piStart, piEnd));
		}

		inline int TextInfo(int iQueryType, int * piCharOffset, int * piLineNum, PtMultiTextLine_t * ptsLine, int * piStart, int * piEnd, int * piLength, PtMultiTextSegment_t * ptsSeg, PtMultiTextAttributes_t * ptsAttrs)
		{  return(PtMultiTextInfo(pwgt, iQueryType, piCharOffset, piLineNum, ptsLine, piStart, piEnd, piLength, ptsSeg, ptsAttrs));
		}

		inline ModifyAttributes(int iStart, int iEnd, PtMultiTextAttributes_t * ptsAttrs, int iAttrMask)
		{  PtMultiTextModifyAttributes(pwgt, iStart, iEnd, ptsAttrs, iAttrMask);
		}

		inline ModifyText(int iStart, int iEnd, int iInsertPos, char * pcText, int iLength, PtMultiTextAttributes_t * ptsAttrs, int iAttrMask)
		{  PtMultiTextModifyText(pwgt, iStart, iEnd, iInsertPos, pcText, iLength, ptsAttrs, iAttrMask);
		}
};
#endif
