#ifndef __CRAW_HPP_
#define __CRAW_HPP_

#include <phcpp/basic.hpp>
#include <phcpp/defs.hpp>
#include <photon/PtRaw.h>

// 97/09/08 - DRAW_F callback added.
//	    - INIT_F callback added.
//	    - CONNECT_F callback added.

#define Pt_RAW_X1_RESOURCES 500

class CRaw : public CBasic
{	public:
		CRaw() {  pwgt = NULL; pulClassRef = NULL;};
		CRaw(const PtWidget_t * pobjParent, UINT uiNumArgs, PtArg_t * ptsArgs);

		virtual inline int OnRawDraw(PtWidget_t * pwgtObject, PhTile_t * ptsDamage)
		{  pwgtObject = pwgtObject, ptsDamage = ptsDamage; 

		   return(Pt_CONTINUE);
		}

		virtual inline int OnRawInit(PtWidget_t * pwgtObject)
		{  pwgtObject = pwgtObject;

		   return(Pt_CONTINUE);
		}

		virtual inline int OnRawConnect(PtWidget_t * pwgtObject)
		{  pwgtObject = pwgtObject;

		   return(Pt_CONTINUE);
		}
};
#endif
