#ifndef __CRTREND_HPP_
#define __CRTREND_HPP_

#include <phcpp/basic.hpp>
#include <phcpp/defs.hpp>
#include <photon/realtime/RtTrend.h>

class CRTrend : public CBasic
{  	public:
		CRTrend() {  pwgt = NULL; pulClassRef = NULL;};
		CRTrend(const PtWidget_t * pobjParent, UINT uiNumArgs, PtArg_t * pArgs);

		inline ChangeTrendData(short const * pnkNewData, UINT uiLastSample, UINT uiNumSamples)
		{  RtTrendChangeData(pwgt, pnkNewData, (unsigned)uiLastSample, (unsigned)uiNumSamples);
		}

		inline ChangeData(UINT uiTrendNumber, short const * pnkNewData, UINT uiLastSample, UINT uiNumSamples)
		{  RtTrendChangeTrendData(pwgt, (unsigned)uiTrendNumber, pnkNewData, (unsigned)uiLastSample, (unsigned)uiNumSamples);
		}
};
#endif
