#ifndef __CTEXT_HPP_
#define __CTEXT_HPP_

#include <phcpp/label.hpp>
#include <phcpp/defs.hpp>
#include <photon/PtText.h>

class CText : public CLabel
{  	public:
		CText() {  pwgt = NULL; pulClassRef = NULL;};
		CText(const PtWidget_t * pobjParent, UINT uiNumArgs, PtArg_t * pArgs);

		inline int GetSelection(int * piStart, int * piEnd)
		{  return(PtTextGetSelection(pwgt, piStart, piEnd));
		}

		inline int ModifyText(int iStart, int iEnd, int iInsertPos, char * pcText, int iLength)
		{  return(PtTextModifyText(pwgt, iStart, iEnd, iInsertPos, pcText, iLength)); 
		}

		inline int SetSelection(int * piStart, int * piEnd)
		{  return(PtTextSetSelection(pwgt, piStart, piEnd));
		}
};
#endif
