/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.12E */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>
#include <PhCpp.hpp>

/* Local headers */
#include "abimport.h"
#include "proto.h"

BOOL bSetUp = FALSE;

CLabel objStringLabel;
CButton btnStringOne;
CButton btnStringTwo;

int fnStringOneModify( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{  btnStringOne.SetResource(Pt_ARG_FILL_COLOR, Pg_RED, 0L);
   btnStringTwo.SetResource(Pt_ARG_FILL_COLOR, Pg_GRAY, 0L);
   objStringLabel.SetResource(Pt_ARG_TEXT_STRING, (long)"String1", 0L);

   widget = widget, apinfo = apinfo, cbinfo = cbinfo;

   return( Pt_CONTINUE );
}

int fnStringTwoModify( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{  btnStringOne.SetResource(Pt_ARG_FILL_COLOR, Pg_GRAY, 0L);
   btnStringTwo.SetResource(Pt_ARG_FILL_COLOR, Pg_RED, 0L);
   objStringLabel.SetResource(Pt_ARG_TEXT_STRING, (long)"String2", 0L);

   widget = widget, apinfo = apinfo, cbinfo = cbinfo;

   return( Pt_CONTINUE );
}

int fnSetUpObjects( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )
{  if(!bSetUp) 
   {  objStringLabel.AssignWidgetPointer(ABW_wgtLabel);
      btnStringOne.AssignWidgetPointer(ABW_btnString1);
      btnStringTwo.AssignWidgetPointer(ABW_btnString2);
      bSetUp = TRUE;
   }

   widget = widget, apinfo = apinfo, cbinfo = cbinfo;

   return( Pt_CONTINUE );
}
